## org.eclipse.m2m.atl.dsls.core
Class EMFTCSInjector

    java.lang.Object
      org.eclipse.m2m.atl.dsls.core.EMFTCSInjector

    public class EMFTCSInjector

extends java.lang.Object

A wrapper which allow to create `IModel` from text with TCS.

Nested Class Summary
`class` `EMFTCSInjector.EMFInjectorAdapter`

Field Summary
`protected ModelAdapter` `problemsModelAdapter`
`protected ModelAdapter` `targetModelAdapter`

Constructor Summary
`EMFTCSInjector()`

Method Summary
`java.util.Map` `getParameterTypes()`
`java.lang.String` `getPrefix()`
`java.lang.Object` `inject(EMFModel target, java.io.InputStream source, java.util.Map params)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### problemsModelAdapter

    protected ModelAdapter problemsModelAdapter

### targetModelAdapter

    protected ModelAdapter targetModelAdapter

Constructor Detail

### EMFTCSInjector

    public EMFTCSInjector()

Method Detail

### getParameterTypes

    public java.util.Map getParameterTypes()

### getPrefix

    public java.lang.String getPrefix()

### inject

    public java.lang.Object inject(EMFModel target,
                                   java.io.InputStream source,
                                   java.util.Map params)
                            throws java.io.IOException

  Throws:
    `java.io.IOException`

Copyright 2007 IBM Corporation and others. All Rights Reserved.